## Name

mkimapdcert — create a test SSL certificate for IMAP over SSL

## Synopsis

`/usr/local/sbin/mkimapdcert`

## DESCRIPTION

IMAP over SSL requires a valid, signed, X.509 certificate. The default location for the certificate file is `/usr/local/etc/courier/imapd.pem`. mkimapdcert generates a self-signed X.509 certificate, mainly for testing. For production use the X.509 certificate must be signed by a recognized certificate authority, in order for mail clients to accept the certificate.

`/usr/local/etc/courier/imapd.pem` must be owned by the courier user and have no group or world permissions. The mkimapdcert command will enforce this. To prevent an unfortunate accident, mkimapdcert will not work if /usr/local/etc/courier/imapd.pem already exists.

mkimapdcert requires OpenSSL to be installed.

## FILES

/usr/local/etc/courier/imapd.pem
  X.509 certificate.
/usr/local/etc/courier/imapd.cnf
  Parameters used by OpenSSL to create the X.509 certificate.

## SEE ALSO

courier(8)